/*
 *  pwlock
 *
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __PWLOCK_UI_CALLBACK_H__
#define __PWLOCK_UI_CALLBACK_H__

void pwlock_greeting_next_cb(void *data, Evas_Object * obj, void *e);
void pwlock_nosim_prev_cb(void *data, Evas_Object * obj, void *e);
void pwlock_nosim_skip_cb(void *data, Evas_Object * obj, void *e);
void pwlock_tutorial_prev_cb(void *data, Evas_Object * obj, void *e);
void pwlock_tutorial_next_cb(void *data, Evas_Object * obj, void *e);
void pwlock_ug_connection_layout_cb(ui_gadget_h ug, enum ug_mode mode,
		void *priv);
void pwlock_ug_connection_result_cb(ui_gadget_h ug, service_h service,
		void *priv);
void pwlock_ug_connection_destroy_cb(ui_gadget_h ug, void *priv);
void pwlock_popup_exit_ok_cb(void *data, Evas_Object * e, void *ei);
void pwlock_popup_exit_cancel_cb(void *data, Evas_Object * e, void *ei);
void pwlock_finish_prev_cb(void *data, Evas_Object * obj, void *e);
void pwlock_finish_cb(void *data, Evas_Object * obj, void *e);

#endif				/* __PWLOCK_UI_CALLBACK_H__ */
